## modemmanager-qt 5.104.0

=== debian/changelog ===
modemmanager-qt (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:18:59 +0000

modemmanager-qt (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:45:45 +0000

=== debian/control ===
Source: modemmanager-qt
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.104.0~),
               libglib2.0-dev,
               libqt5sql5-sqlite,
               modemmanager-dev (>= 1.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/modemmanager-qt
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
Rules-Requires-Root: no

Package: libkf5modemmanagerqt-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt wrapper library for ModemManager (documentation)
 Qt wrapper for ModemManager DBus API.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5modemmanagerqt6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt wrapper library for ModemManager
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of the KDE Frameworks.

Package: modemmanager-qt-dev
Section: libdevel
Architecture: any
Depends: libglib2.0-dev,
         libkf5modemmanagerqt6 (= ${binary:Version}),
         modemmanager-dev (>= 1.0),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5modemmanagerqt-dev
Replaces: libkf5modemmanagerqt-dev
Recommends: libkf5modemmanagerqt-doc (= ${source:Version})
Description: Qt wrapper for ModemManager - devel files
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of KDE Frameworks.
 .
 This package contains the development files

## modemmanager-qt 5.106.0

=== debian/changelog ===
modemmanager-qt (5.106.0-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.106.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files, remove private missing symbols

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:49:18 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
+               extra-cmake-modules (>= 5.106.0~),
                libglib2.0-dev,
                libqt5sql5-sqlite,
                modemmanager-dev (>= 1.0),

## modemmanager-qt 5.107.0

=== debian/changelog ===
modemmanager-qt (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:07:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.106.0~),
+               extra-cmake-modules (>= 5.107.0~),
                libglib2.0-dev,
                libqt5sql5-sqlite,
                modemmanager-dev (>= 1.0),

## modemmanager-qt 5.108.0

=== debian/changelog ===
modemmanager-qt (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:23:14 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.107.0~),
+               extra-cmake-modules (>= 5.108.0~),
                libglib2.0-dev,
                libqt5sql5-sqlite,
                modemmanager-dev (>= 1.0),

## modemmanager-qt 5.109.0

=== debian/changelog ===
modemmanager-qt (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:51:42 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.108.0~),
+               extra-cmake-modules (>= 5.109.0~),
                libglib2.0-dev,
                libqt5sql5-sqlite,
                modemmanager-dev (>= 1.0),

## modemmanager-qt 5.110.0

=== debian/changelog ===
modemmanager-qt (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:10:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                libglib2.0-dev,
                libqt5sql5-sqlite,
                modemmanager-dev (>= 1.0),

## modemmanager-qt 5.111.0

=== debian/changelog ===
modemmanager-qt (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Nov 2023 00:00:38 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
+               extra-cmake-modules (>= 5.111.0~),
                libglib2.0-dev,
                libqt5sql5-sqlite,
                modemmanager-dev (>= 1.0),

## modemmanager-qt 5.112.0

=== debian/changelog ===
modemmanager-qt (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:50:57 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.111.0~),
+               extra-cmake-modules (>= 5.112.0~),
                libglib2.0-dev,
                libqt5sql5-sqlite,
                modemmanager-dev (>= 1.0),

## modemmanager-qt 5.113.0

=== debian/changelog ===
modemmanager-qt (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:45:59 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.112.0~),
+               extra-cmake-modules (>= 5.113.0~),
                libglib2.0-dev,
                libqt5sql5-sqlite,
                modemmanager-dev (>= 1.0),

## modemmanager-qt 5.115.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.115.0") # handled by release scripts
project(ModemManagerQt VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 5.115.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

find_package(ModemManager 1.0 REQUIRED)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

set(REQUIRED_QT_VERSION 5.15.2)
find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} REQUIRED Core DBus Xml)

add_definitions(${QT_DEFINITIONS})

remove_definitions(-DQT_NO_FOREACH) # set by KDEFrameworkCompilerSettings

include(GenerateExportHeader)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX MODEMMANAGERQT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/modemmanagerqt_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ModemManagerQtConfigVersion.cmake"
                        SOVERSION 6)
ecm_set_disabled_deprecation_versions(
    QT 5.15.2
)

# Enable unit testing
if (BUILD_TESTING)
    add_subdirectory(src/fakemodem)
    add_subdirectory(autotests)
endif ()

##################  examples  ################################
option(BUILD_EXAMPLES "Build example applications" FALSE)
if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif(BUILD_EXAMPLES)

add_subdirectory(src)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5ModemManagerQt")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5ModemManagerQt_QCH
        FILE KF5ModemManagerQtQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ModemManagerQtQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5ModemManagerQtConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ModemManagerQtConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ModemManagerQtConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ModemManagerQtConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5ModemManagerQtTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5ModemManagerQtTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/modemmanagerqt_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/ModemManagerQt COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
#add_subdirectory(dbus)

include_directories(
    ${MODEMMANAGER_INCLUDE_DIRS}
)

set(ModemManagerQt_SRCS
    bearer.cpp
    generictypes.cpp
    interface.cpp
    manager.cpp
    modem.cpp
    modemsimple.cpp
    modem3gpp.cpp
    modem3gppussd.cpp
    modemcdma.cpp
    modemdevice.cpp
    modemfirmware.cpp
    modemlocation.cpp
    modemmessaging.cpp
    modemtime.cpp
    sim.cpp
    sms.cpp
)

set(DBUS_INTERFACES_FILES
   dbus/bearerinterface.cpp
   dbus/dbus_manager.cpp
   dbus/firmwareinterface.cpp
   dbus/locationinterface.cpp
   dbus/messaginginterface.cpp
   dbus/modem3gppinterface.cpp
   dbus/modemcdmainterface.cpp
   dbus/modeminterface.cpp
   dbus/modemmanager1interface.cpp
   dbus/siminterface.cpp
   dbus/simpleinterface.cpp
   dbus/smsinterface.cpp
   dbus/timeinterface.cpp
   dbus/ussdinterface.cpp
)

if (${MODEMMANAGER_VERSION} VERSION_EQUAL 1.2.0 OR ${MODEMMANAGER_VERSION} VERSION_GREATER 1.2.0)
    set(ModemManagerQt_SRCS
        ${ModemManagerQt_SRCS}
        modemoma.cpp
        modemsignal.cpp
        )

    set(DBUS_INTERFACES_FILES
        ${DBUS_INTERFACES_FILES}
        dbus/omainterface.cpp
        dbus/signalinterface.cpp
        )
endif()

if (${MODEMMANAGER_VERSION} VERSION_EQUAL 1.6.0 OR ${MODEMMANAGER_VERSION} VERSION_GREATER 1.6.0)
    set(ModemManagerQt_SRCS
        ${ModemManagerQt_SRCS}
        modemvoice.cpp
        call.cpp
        )

    set(DBUS_INTERFACES_FILES
        ${DBUS_INTERFACES_FILES}
        dbus/callinterface.cpp
        dbus/voiceinterface.cpp
        )
endif()

ecm_qt_export_logging_category(
    IDENTIFIER MMQT
    CATEGORY_NAME kf.modemmanagerqt
    OLD_CATEGORY_NAMES modemmanager-qt
    DEFAULT_SEVERITY Warning
    DESCRIPTION "ModemManagerQt"
    EXPORT MODEMMANAGERQT
)

add_library(KF5ModemManagerQt SHARED ${ModemManagerQt_SRCS} ${DBUS_INTERFACES_FILES})
generate_export_header(KF5ModemManagerQt BASE_NAME ModemManagerQt)
add_library(KF5::ModemManagerQt ALIAS KF5ModemManagerQt)

target_include_directories(KF5ModemManagerQt INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/ModemManagerQt>")

target_link_libraries(KF5ModemManagerQt PUBLIC Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::DBus PRIVATE Qt${QT_MAJOR_VERSION}::Xml)

set_target_properties(KF5ModemManagerQt PROPERTIES VERSION ${MODEMMANAGERQT_VERSION}
                                                   SOVERSION ${MODEMMANAGERQT_SOVERSION}
                                                   EXPORT_NAME ModemManagerQt
)

target_include_directories(KF5ModemManagerQt PUBLIC ${MODEMMANAGER_INCLUDE_DIRS})

########### static lib for tests  ###############
add_library(KF5ModemManagerQt_static STATIC ${ModemManagerQt_SRCS} ${DBUS_INTERFACES_FILES})
set_target_properties(KF5ModemManagerQt_static PROPERTIES COMPILE_FLAGS -DMMQT_STATIC=1)

target_link_libraries(KF5ModemManagerQt_static PUBLIC Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::DBus Qt${QT_MAJOR_VERSION}::Xml)
target_include_directories(KF5ModemManagerQt_static PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..;${CMAKE_CURRENT_BINARY_DIR}/..>")
if (QT_MAJOR_VERSION STREQUAL "5")
    ecm_generate_headers(ModemManagerQt_CamelCaseHEADERS
        HEADER_NAMES
        Call
        Bearer
        GenericTypes
        Interface
        Manager
        Modem
        Modem3Gpp
        Modem3GppUssd
        ModemCdma
        ModemDevice
        ModemFirmware
        ModemLocation
        ModemMessaging
        ModemSignal
        ModemSimple
        ModemTime
        ModemOma
        ModemVoice
        Sim
        Sms
        OUTPUT_DIR "${CMAKE_CURRENT_BINARY_DIR}/ModemManagerQt"
        REQUIRED_HEADERS ModemManagerQt_HEADERS
    )
else()
    ecm_generate_headers(ModemManagerQt_CamelCaseHEADERS
      HEADER_NAMES
      Call
      Bearer
      GenericTypes
      Interface
      Manager
      Modem
      Modem3Gpp
      Modem3GppUssd
      ModemCdma
      ModemDevice
      ModemFirmware
      ModemLocation
      ModemMessaging
      ModemSignal
      ModemSimple
      ModemTime
      ModemOma
      ModemVoice
      Sim
      Sms
      PREFIX ModemManagerQt
      REQUIRED_HEADERS ModemManagerQt_HEADERS
    )
endif()

install(TARGETS KF5ModemManagerQt EXPORT KF5ModemManagerQtTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})


# To keep backwards compatibility we stick with this layout for KF5,
# and use the ModemManagerQt/ModemManagerQt and ModemManagerQt/modemmanagerqt layout for KF6
if (QT_MAJOR_VERSION STREQUAL "5")
    install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/modemmanagerqt_export.h
        ${ModemManagerQt_HEADERS}
	${ModemManagerQt_CamelCaseHEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/ModemManagerQt COMPONENT Devel
    )
else()
    install(FILES
        ${ModemManagerQt_CamelCaseHEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/ModemManagerQt/ModemManagerQt COMPONENT Devel
    )

    install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/modemmanagerqt_export.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/ModemManagerQt
        COMPONENT Devel
    )

    install(FILES
        ${ModemManagerQt_HEADERS}
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/ModemManagerQt/modemmanagerqt COMPONENT Devel
    )
endif()

ecm_qt_install_logging_categories(
    EXPORT MODEMMANAGERQT
    FILE modemmanagerqt.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5ModemManagerQt_QCH
        NAME ModemManagerQt
        BASE_NAME KF5ModemManagerQt
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${ModemManagerQt_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
            Qt5DBus_QCH
            Qt5Xml_QCH
        BLANK_MACROS
            MODEMMANAGERQT_EXPORT
            MODEMMANAGERQT_DEPRECATED
            MODEMMANAGERQT_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
modemmanager-qt (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:10:43 +0200

modemmanager-qt (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 01:21:43 +0100

modemmanager-qt (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:30 +0200

modemmanager-qt (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:51 +0100

=== debian/control ===
Source: modemmanager-qt
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               libglib2.0-dev,
               libqt5sql5-sqlite,
               modemmanager-dev (>= 1.0),
               pkgconf,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/modemmanager-qt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/modemmanager-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/modemmanager-qt.git
Rules-Requires-Root: no

Package: libkf5modemmanagerqt-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Qt wrapper library for ModemManager (documentation)
 Qt wrapper for ModemManager DBus API.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5modemmanagerqt6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt wrapper library for ModemManager
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of the KDE Frameworks.

Package: modemmanager-qt-dev
Section: libdevel
Architecture: any
Depends: libglib2.0-dev,
         libkf5modemmanagerqt6 (= ${binary:Version}),
         modemmanager-dev (>= 1.0),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5modemmanagerqt-dev,
Replaces: libkf5modemmanagerqt-dev,
Recommends: libkf5modemmanagerqt-doc (= ${source:Version}),
Description: Qt wrapper for ModemManager - devel files
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of KDE Frameworks.
 .
 This package contains the development files

## modemmanager-qt 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.116.0") # handled by release scripts
 project(ModemManagerQt VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.115.0  NO_MODULE)
+find_package(ECM 5.116.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== examples/CMakeLists.txt ===
set(exampleModemManagerQt_SRCS
   main.cpp
)

add_executable(exampleModemManagerQt ${exampleModemManagerQt_SRCS})
target_link_libraries(exampleModemManagerQt
    KF5::ModemManagerQt
    Qt${QT_MAJOR_VERSION}::Core
)

=== debian/changelog ===
modemmanager-qt (5.116.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Disable tests.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 16:59:16 +0100

modemmanager-qt (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:31:17 +0200

modemmanager-qt (5.116.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (5.116.0)
  * Replace obsolete pkg-config build depend with pkgconf

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 14 May 2024 04:45:55 +0100

modemmanager-qt (5.115.0-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:34:38 +0000

modemmanager-qt (5.115.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:57:24 +0000

modemmanager-qt (5.115.0-0ubuntu2) noble; urgency=medium

  * Bump build deps

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 19 Feb 2024 09:37:29 -0700

modemmanager-qt (5.115.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.114.0)
  * New upstream release (5.115.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 16 Feb 2024 08:06:09 -0700

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: modemmanager-qt
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
                libglib2.0-dev,
                libqt5sql5-sqlite,
                modemmanager-dev (>= 1.0),
+               pkg-kde-tools (>= 0.15.15ubuntu1~),
                pkgconf,
-               pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/modemmanager-qt
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/modemmanager-qt
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/modemmanager-qt.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
 Rules-Requires-Root: no
 
 Package: libkf5modemmanagerqt-doc

## modemmanager-qt 5.116.0+p24.04+vstable+git20250801.1339

=== debian/changelog ===
modemmanager-qt (5.116.0+p24.04+vstable+git20250801.1339-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 01 Aug 2025 13:39:59 +0000

modemmanager-qt (5.116.0-1neon) noble; urgency=medium

  * noble is the new series

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 16 Jun 2024 19:45:15 +1000

modemmanager-qt (5.116.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 22 May 2024 14:44:39 +0000

modemmanager-qt (5.115.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 10 Feb 2024 12:31:24 +0000

modemmanager-qt (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jan 2024 04:10:10 +0000

modemmanager-qt (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 02:53:12 +0000

modemmanager-qt (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 13:47:34 +0000

modemmanager-qt (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:33:40 +0000

modemmanager-qt (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 02:26:30 +0000

modemmanager-qt (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 22:00:40 +0000

modemmanager-qt (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 08:08:30 +0000

modemmanager-qt (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 10:31:41 +0000

modemmanager-qt (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:35:16 +0000

modemmanager-qt (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:43:16 +0000

modemmanager-qt (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 12:04:06 +0000

modemmanager-qt (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 12:05:55 +0000

modemmanager-qt (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 12:15:29 +0000

modemmanager-qt (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:30:22 +0000

modemmanager-qt (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:38:39 +0000

modemmanager-qt (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 12:10:58 +0000

modemmanager-qt (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:39:17 +0000

modemmanager-qt (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Jun 2022 11:04:17 +0000

modemmanager-qt (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:48:36 +0000

modemmanager-qt (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jan 2022 15:11:55 +0000

modemmanager-qt (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:28:12 +0000

modemmanager-qt (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:53:30 +0000

modemmanager-qt (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Oct 2021 07:03:06 +0000

modemmanager-qt (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:12:07 +0000

modemmanager-qt (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:19:54 +0000

modemmanager-qt (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:28:46 +0000

modemmanager-qt (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:18:51 +0000

modemmanager-qt (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:12:35 +0000

modemmanager-qt (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:19:27 +0000

modemmanager-qt (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:59:33 +0000

modemmanager-qt (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:27:03 +0000

modemmanager-qt (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:08:23 +0000

modemmanager-qt (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:33:09 +0000

modemmanager-qt (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:43:31 +0000

modemmanager-qt (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:33:57 +0000

modemmanager-qt (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:27:47 +0000

modemmanager-qt (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:48:29 +0000

modemmanager-qt (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:58:14 +0000

modemmanager-qt (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:43:29 +0000

modemmanager-qt (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:21:42 +0000



=== debian/control ===
Source: modemmanager-qt
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.52.0~),
               graphviz,
               libglib2.0-dev,
               libqt5sql5-sqlite,
               modemmanager-dev (>= 1.0),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               pkgconf,
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4)
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/modemmanager-qt
Vcs-Git: https://invent.kde.org/neon/kde/modemmanager-qt.git
Vcs-Browser: https://invent.kde.org/neon/kde/modemmanager-qt
Maintainer: Neon CI <neon@kde.org>

Package: libkf5modemmanagerqt-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt wrapper library for ModemManager (documentation)
 Qt wrapper for ModemManager DBus API.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5modemmanagerqt6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt wrapper library for ModemManager
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of the KDE Frameworks.

Package: modemmanager-qt-dev
Section: libdevel
Architecture: any
Depends: libglib2.0-dev,
         libkf5modemmanagerqt6 (= ${binary:Version}),
         modemmanager-dev (>= 1.0),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5modemmanagerqt-dev, libkf5modemmanagerqt-doc (<< 5.61.90-0)
Replaces: libkf5modemmanagerqt-dev, libkf5modemmanagerqt-doc (<< 5.61.90-0)
Recommends: libkf5modemmanagerqt-doc (= ${source:Version})
Description: Qt wrapper for ModemManager - devel files
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of KDE Frameworks.
 .
 This package contains the development files

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/5([\d.]*)/modemmanager-qt-([\d.]*)\.tar\.xz

## modemmanager-qt 5.116.0+p24.04+vunstable+git20250729.0106

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 project(ModemManagerQt VERSION ${KF_VERSION})
 
 include(FeatureSummary)

=== debian/changelog ===
modemmanager-qt (5.116.0+p24.04+vunstable+git20250729.0106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 29 Jul 2025 01:06:17 +0000
